*{ 	
    margin:0px;
    padding:0px;
    text-decoration: none;
    }
 
   ::-webkit-scrollbar {
     background-image: linear-gradient(rgba(255, 230, 0, 0.1),rgba(255, 166, 0, 0.1));
     width: 15px;
   }
   ::-webkit-scrollbar:disabled {
     background: transparent;
   }
     
   ::-webkit-scrollbar-thumb {
     background-image: linear-gradient(rgba(255, 230, 0, 0.5),rgba(255, 166, 0, 0.5));
     border-radius: 50px;
   }
   ::-webkit-scrollbar-thumb:hover {
     background-image: linear-gradient(rgba(255, 230, 0, 0.75),rgba(255, 166, 0, 0.75));
   }
   ::-webkit-scrollbar-thumb:active {
     background-image: linear-gradient(rgba(255, 230, 0, 0.9),rgba(255, 166, 0, 0.9));
   }
   
   ::-webkit-scrollbar-thumb:window-inactive {
     background-image: linear-gradient(rgba(255, 230, 0, 0.2),rgba(255, 166, 0, 0.2));
   }
 
 html{
    scroll-behavior:smooth;
    font-family: 'Kanit', sans-serif;
    }
     
 body{
    /* background-image: linear-gradient(rgb(221, 255, 244),rgb(231, 255, 214));	/*พื้นหลังเวป*/
    background: transparent;
    margin:0;
    overflow:visible;
    }

h1{
    font-size: 24px;
    text-align: center;
    /* margin-top: 1%; */
    /* margin-left: 20%;
    margin-right: 20%; */
    background-color: rgb(228, 255, 205);
    padding: 20px;
    position: sticky;
    font-weight: normal;
    top: 0;
    z-index: 99;
}

.con{
    margin-top: 3%;
    margin-left: 5%;
    margin-right: 5%;
    margin-bottom: 6%;
}

.gobb{
    float: right;
    padding: 5px;
    padding-left: 12px;
    padding-right: 12px;
    border-radius: 20px;  
    border: 2px solid rgb(255, 174, 0);
    cursor: pointer;
    margin-right: 10%;
    margin-bottom: 3%;
    transition: ease-in-out 0.5s;  
}

.gobb:hover{
  color: white;
  background-color: rgb(255, 174, 0);
}


/********* Animate a1 *********/

a.a1 li {
	color: #000;
	cursor: pointer;
	display: block;
	position: relative;
  border: 2px solid rgb(37, 119, 185);
  transition: all 0.4s cubic-bezier(0.42, 0, 0.58, 1) 0s;
  border-radius: 25px;    
  padding-left: 3%;
  padding-right: 3%;
  margin-top: 1%;
}

.a1 li:hover {
	color: #fff !important;
	background-color: transparent;
}
.a1 li:hover:before {
    left: 0%;
	right: auto;
    width: 100%;
}

.a1 li:before {
	display: block;
    position: absolute; 
    border-radius: 20px;    
    top: 0px;
	right: 0px;
	height: 100%;
    width: 0px;
	z-index: -1;
	content: '';
	color: #fff !important;
    background-image: linear-gradient(rgb(36, 138, 255),rgb(38, 0, 255));
    transition: all 0.4s cubic-bezier(0.42, 0, 0.58, 1) 0s;
}

/********* จบ animation button 1 ***************************************/




 @media only screen and (max-width: 720px) {
    ::-webkit-scrollbar {
        background-image: linear-gradient(rgba(255, 230, 0, 0.1),rgba(255, 166, 0, 0.1));
        width: 5px;
      }
 }

 @media only screen and (max-width: 500px) {
    h1{
        font-size: 20px;
    }
    li{
        font-size: 14px;
    }
 }